Subject: bug#54942: closed (Re: bug#54942: Can't run guix upgrade when a package is installed with the --with-git-url transformation)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 05 May 2022 21:59:02 +0000

Your bug report

#54942: Can't run guix upgrade when a package is installed with the --with-git-url transformation

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54942: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=54942
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#54942: Can't run guix upgrade when a package is installed with the --with-git-url transformation
From: Ludovic Courtès <[email-masked]>
To: SeerLite <[email-masked]>
Cc: [email-masked]
Date: Thu, 05 May 2022 23:58:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Ludovic Courtès <[email-masked]> skribis:

> SeerLite <[email-masked]> skribis:
>
>> I installed a package with --with-git-url and --with-branch to my profile:
>>
>>     guix install kakoune
>>     --with-git-url=kakoune=https://github.com/mawww/kakoune.git 
>> --with-branch=kakoune=breaking-cleanups
>>
>> However, now I can't run `guix upgrade`. I get the following error:
>>
>>     guix upgrade: error: the source of [email-masked] is not a Git
>>     reference
>
> [...]
>
> Maxime Devos <[email-masked]> skribis:
>
>> I guess the problem is that 'with-branch'/'with-commit' come before
>> 'with-git-url' in
>> <https://git.savannah.gnu.org/cgit/guix.git/tree/guix/transformations.scm?id=237d90a7808cfdced34b34595eba16632cbcb89e#n794>
>> (untested!).
>
> My guess is rather than the profile records (or replays) transformations
> in the wrong order:

I believe this is fixed by 0f024554e63a49e20c2a7a67e928073c266bf5c5.

Please let me know if anything’s wrong!

Ludo’.

Subject: Can't run guix upgrade when a package is installed with the --with-git-url transformation
From: SeerLite <[email-masked]>
To: [email-masked]
Date: Thu, 14 Apr 2022 12:45:11 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

I installed a package with --with-git-url and --with-branch to my profile:

     guix install kakoune 
--with-git-url=kakoune=https://github.com/mawww/kakoune.git 
--with-branch=kakoune=breaking-cleanups

However, now I can't run `guix upgrade`. I get the following error:

     guix upgrade: error: the source of [email-masked] is not a Git 
reference

I also tried to add the same transformation options to `guix upgrade`, 
but I got the same error.

Is installing packages with the --with-git-url transformation to 
profiles not supported? Or is this a bug?

Ideally I'd like `guix upgrade` to remember the way in which this 
package was installed and update it accordingly. In this case by 
fetching the latest changes from the breaking-cleanups branch. Is this 
not how this transformation option works?

Thanks :)